aboutsummaryrefslogtreecommitdiff
path: root/ci/before_deploy.sh
diff options
context:
space:
mode:
authorTill Höppner2016-02-23 17:00:53 +0100
committerTill Höppner2016-02-24 18:21:24 +0100
commite866dceae987acd51d43bd457351bd2188c5f95a (patch)
tree2cc5a67492bdf00ff68041656a1e870b2b4de17f /ci/before_deploy.sh
parent815f31f5cef61709c50087c9f7601ea330929bb7 (diff)
downloadilc-e866dceae987acd51d43bd457351bd2188c5f95a.tar.gz
ilc-e866dceae987acd51d43bd457351bd2188c5f95a.tar.xz
ilc-e866dceae987acd51d43bd457351bd2188c5f95a.zip
Test CI
Diffstat (limited to 'ci/before_deploy.sh')
-rw-r--r--ci/before_deploy.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/ci/before_deploy.sh b/ci/before_deploy.sh
new file mode 100644
index 0000000..b8f67d4
--- /dev/null
+++ b/ci/before_deploy.sh
@@ -0,0 +1,15 @@
+# `before_deploy` phase: here we package the build artifacts
+
+set -ex
+
+# create a "staging" directory
+mkdir staging
+
+# TODO update this part to copy the artifacts that make sense for your project
+# NOTE All Cargo build artifacts will be under the 'target/$TARGET/{debug,release}'
+cp target/$TARGET/release/ilc* staging
+
+cd staging
+
+# release tarball will look like 'rust-everywhere-v1.2.3-x86_64-unknown-linux-gnu.tar.gz'
+tar czf ../${PROJECT_NAME}-${TRAVIS_TAG}-${TARGET}.tar.gz *